#include <bits/stdc++.h>
using namespace std;

string substr(string s,long long l,long long r){
    string s1;

    for(int i=l-1;i<r;i++){
        s1+=s[i];
    }

    return s1;

}

int main() {

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string s,s1;
    long long q,l,r,res;

    cin>>s;
    cin>>q;

    for(int i=0;i<q;i++){
        cin>>l>>r;
        s1=substr(s,l,r);
        res=1;
        for(int j=1;j<s1.size();j++){
            if(int(s1[j])<int(s1[j-1])) res++;
        }
        cout<<res<<'\n';
    }

}
